Main Page Widgets Namespaces Book

# Gtk::ComboBoxText Class Reference
[Widgets]

Inheritance diagram for Gtk::ComboBoxText:

[legend]
List of all members.

## Detailed Description

This is a specialisation of the ComboBox which has one column of text (a simple list), and appropriate methods for setting and getting the text.

## Public Member Functions

| ComboBoxText ()
void | append_text (const Glib::ustring& text)
void | insert_text (int position, const Glib::ustring& text)
void | prepend_text (const Glib::ustring& text)
Glib::ustring | get_active_text () const

## Protected Attributes

TextModelColumns | m_text_columns

## Constructor & Destructor Documentation

Gtk::ComboBoxText::ComboBoxText | ( |  | ) |

## Member Function Documentation

void Gtk::ComboBoxText::append_text | ( | const Glib::ustring& | text | ) |

Glib::ustring Gtk::ComboBoxText::get_active_text | ( |  | ) | const

void Gtk::ComboBoxText::insert_text | ( | int | position,
|  | const Glib::ustring& | text
| ) |

void Gtk::ComboBoxText::prepend_text | ( | const Glib::ustring& | text | ) |

## Member Data Documentation

TextModelColumns Gtk::ComboBoxText::m_text_columns `[protected]`

The documentation for this class was generated from the following file:

- comboboxtext.h